
Ruby - Bug #7563

test of gem_ext_cmake_builder in another directory 

12/15/2012 01:13 AM - tarui (Masaya Tarui)

Status: Closed   

Priority: Normal   

Assignee: tarui (Masaya Tarui)   

Target version: 2.0.0   

ruby -v: ruby 2.0.0dev (2012-12-14 trunk 38369)

[x86_64-linux]

Backport:  

Description

would you commit it? or can I ?

Index: test/rubygems/test_gem_ext_cmake_builder.rb

--- test/rubygems/test_gem_ext_cmake_builder.rb (revision 38369)

+++ test/rubygems/test_gem_ext_cmake_builder.rb (working copy)

@@ -36,7 +36,7 @@

assert_equal "cmake . -DCMAKE_INSTALL_PREFIX=#{@dest_path}", output.shift

assert_match(/#{@ext}/, output.shift)

assert_equal make_command, output.shift

assert_equal "", output.shift

assert_equal "", output.shift.gsub(/^make[1]: (?:Entering|Leaving) directory .*\n/,"")

assert_equal make_command + " install", output.shift

assert_match(/test.txt/, output.shift)

end

Related issues:

Related to Ruby - Bug #7579: TestGemExtCmakeBuilder#test_self_build failed in... Closed 12/17/2012

History

#1 - 12/15/2012 06:49 AM - drbrain (Eric Hodel)

- Category set to lib

- Assignee changed from drbrain (Eric Hodel) to tarui (Masaya Tarui)

Please commit it, I will apply it to RubyGems.

I guess I didn't catch it because I build from $(srcdir)/../build?

#2 - 12/15/2012 08:46 AM - tarui (Masaya Tarui)

- Status changed from Assigned to Closed

I committed it at r38390.
